package org.lym.pom.repository.mongo.enums;

import org.shoulder.core.dictionary.model.IntDictionaryItemEnum;

/**
 * int test
 *
 * @author lym
 */
public enum IntCodeEnum implements IntDictionaryItemEnum<IntCodeEnum> {

    T1(2),
    T2(4),
    T3(6),
        ;

    int customerIntId;
    IntCodeEnum(int customerIntId) {
        this.customerIntId = customerIntId;
    }

    @Override
    public Integer getItemId() {
        return customerIntId;
    }

    public int getCustomerIntId() {
        return customerIntId;
    }
}
